/* 
Style classes Useful Apps and Calcs Landing
Created by: Barry Ford
Date: 9/12/2024
*/

/*Scrollbars*/
/* width */
::-webkit-scrollbar {
    width: 6px;
}

/* Track */
::-webkit-scrollbar-track {
    background: rgba(76, 61, 95, 0.575);
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: #0fb994;
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
    background: #12aca4;
}

::-webkit-scrollbar-button:single-button:vertical:increment {
    border-width: 8px 8px 4px 8px;
    border-color: #555555 transparent transparent transparent;
}

.head {
    background-color: rgba(2, 35, 46, 0.29);
    color: #0c5586;
    font-size: 22px;
    font-family: Lucida Console, Monaco, monospace;
    /* x y blur color */
    text-shadow: 2px 1px 2px #e2e2bb;
    font-weight: bold;
    text-align: center;
    object-position: top;
    border: solid #adad8c 1px;
    border-radius: 10px;
    padding: 2px 3px 2px 3px;
    margin: 0px 0px 25px 5px;
}

#menu_parent {
    width: 312px;
    height: 60px;
    background-color: #e7e7d4;
    color: #302f88;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    margin: 0px 0px 3px 0px;
    padding: 1px;
    border: solid #539b7f 1px;
    border-radius: 4px;
}

#menu_icon {
    width: 42px;
    height: 42px;
    position: relative;
    top: 10px;
    left: 260px;
    background: url(https://www.mycalcsneditors.com/images/menu_icon_anim.webp);
    background-size: 42px 42px;
    background-repeat: no-repeat;
}

#menu_links {
    width: 240px;
    height: 90px;
    background-color: rgba(12, 85, 134, 0.438);
    position: absolute;
    left: -13px;
    top: 0px;
    overflow-y: scroll;
    overflow-x: hidden;
    margin: 0px 0px 0px 6px;
    text-align: justify;
    border: solid #bbb3ee 2px;
    border-radius: 4px;
}

.menu_group {
    width: 240px;
    height: 120px;
    position: relative;
    left: -1px;
    top: -35px;
    background: url(https://www.mycalcsneditors.com/images/menu_scroll.webp);
    background-size: 240px 40px;
    background-repeat: no-repeat;
    color: #f3f3e5;
    font-size: 36px;
    text-align: center;
    vertical-align: middle;
    margin: 0px 0px 0px 6px;
    border-radius: 4px;
}

a.launch {
    font-size: 22px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 900;
    color: #0e5188;
    text-align: center;
    float: left;
    text-shadow: 2px 1px 2px #ffffff;
    /* background: rgba(1, 1, 5, 0.23); */
    margin: 0px 0px 5px 0px;
}

a.launch:hover {
    color: rgb(240, 10, 10);
}

a.menu {
    font-size: 13px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 800;
    color: #e6ecf1;
    /* text-align: left; */
    text-shadow: 2px 1px 2px #150364;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    /* background: rgba(1, 1, 5, 0.23); */
    margin: 0px 0px 0px 5px;
    background-image: linear-gradient(120deg, #5d95f0 0%, #34d3d3 100%);
    border: #0c0338 solid 1px;
    border-radius: 5px;
    padding: 1px;
    width: 100px;
}

a.menu:hover {
    color: rgb(240, 10, 10);
    background-image: linear-gradient(120deg, #f0e65d 0%, #34d3d3 100%);
}

a.menuButton {
    font-size: 13px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 800;
    color: #e6ecf1;
    /* color: #0c2447; */
    /* text-align: left; */
    text-shadow: 2px 1px 2px #150364;
    text-decoration: none;
    text-align: center;
    float: right;
    background: #2f8549a2;
    margin: 5px 8px 0px 5px;
    background-image: linear-gradient(120deg, #5d95f0 0%, #34d3d3 100%);
    border: #0c0338 solid 1px;
    border-radius: 5px;
    padding: 1px 6px 1px 6px;
}

a.menuButton:hover {
    color: rgb(240, 10, 10);
    background-image: linear-gradient(120deg, #f0e65d 0%, #34d3d3 100%);
}

.menu_table {
    font-size: 13px;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-weight: 800;
}

.menu_table tr {
    height: 22px;
}

.menu_table td {
    width: 115px;
}

.anchor_container {
    background: rgba(1, 1, 5, 0.43);
    width: 310px;
    display: inline-block;
    margin: 0px 0px 20px 0px;
    padding: 0px 3px 0px 3px;
    border-radius: 3px;
}

.note {
    width: 310px;
    background-color: #eaeff3;
    color: #302f88;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 16px;
    margin: 0px 0px 3px 0px;
    padding: 2px;
    border: solid #539b7f 1px;
    border-radius: 4px;
}

.note .emp1 {
    color: #4b2404;
    font-size: 15px;
    font-weight: bolder;
}

.note .emp2 {
    color: #033518;
    font-weight: bolder;
}

.policy {
    width: 800px;
    background-color: #eaeff3;
    color: #302f88;
    font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif;
    font-size: 17px;
    margin: 0px 0px 3px 0px;
    padding: 2px 2px 2px 4px;
    border: solid #539b7f 1px;
    border-radius: 3px;
}

@media screen and (max-width: 500px) {

    a.menu {
        font-size: 12px;
        font-weight: 700;
    }

    a.menuButton {
        font-size: 12px;
        font-weight: 700;
        margin: 3px 2px 2px 0px;
    }

    a.launch {
        font-size: 18px;
        font-weight: 700;
        margin: 0px 0px 5px 0px;
    }

    #menu_parent {
        height: 55px;
    }

    #menu_icon {
        width: 42px;
        height: 42px;
        top: 7px;
        left: 259px;
        background-size: 42px 42px;
    }

    #menu_links {
        width: 240px;
        height: 105px;
        position: absolute;
        left: -8px;
        top: 0px;
        margin: 0px 0px 0px 6px;
        z-index: 3;
    }

    .menu_group {
        width: 240px;
        height: 40px;
        left: -1px;
        top: -37px;
        background-size: 240px 40px;
        font-size: 36px;
        margin: 0px 0px 0px 6px;
    }

    .menu_table tr {
        height: 26px;
    }

    .note {
        font-size: 16px;
    }

    .policy {
        width: 380px;
        font-size: 17px;
        margin: 0px 0px 3px 0px;
        padding: 2px 2px 2px 4px;
    }
}

/* iPad Portrait and Landscape */
@media only screen and (min-device-width: 768px) and (max-device-width: 1024px) and (-webkit-min-device-pixel-ratio: 1) {
    a.menu {
        font-size: 12px;
        font-weight: 700;
    }

    a.menuButton {
        font-size: 12px;
        font-weight: 700;
        margin: 3px 2px 2px 0px;
    }

    a.launch {
        font-size: 18px;
        font-weight: 700;
        margin: 0px 0px 5px 0px;
    }

    #menu_parent {
        height: 55px;
    }

    #menu_icon {
        width: 42px;
        height: 42px;
        top: 7px;
        left: 259px;
        background-size: 42px 42px;
    }

    #menu_links {
        width: 240px;
        height: 95px;
        background-size: 240px 62px;
        position: absolute;
        left: -8px;
        top: 0px;
        margin: 0px 0px 0px 6px;
        z-index: 3;
    }

    .menu_group {
        width: 240px;
        height: 40px;
        left: -1px;
        top: -36px;
        background-size: 240px 40px;
        font-size: 36px;
        margin: 0px 0px 0px 6px;
    }

    .menu_table tr {
        height: 30px;
    }

    .note {
        font-size: 16px;
    }

    .policy {
        width: 700px;
        font-size: 17px;
        margin: 0px 0px 3px 0px;
        padding: 2px 2px 2px 4px;
    }
}

/* Computer */
@media only screen and (min-device-width: 480px) and (max-device-width: 2000px) and (orientation: landscape) {

    body {
        margin: 0px 0px 0px 100px;
    }

}